<?php
$page_title = "Display UPCOMING Facebook Events";
$fb_page_id = isset($_GET['fb_page_id']) ? $_GET['fb_page_id'] : "221167777906963";
?>
<!DOCTYPE html>
<html lang="en">
<head>
 
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
 
    <title><?php echo $page_title; ?></title>
 
    <link rel="stylesheet" href="//netdna.bootstrapcdn.com/bootstrap/3.1.1/css/bootstrap.min.css">
 
</head>
<body>
     
<div class="container">

	<?php
	echo "<div style='margin:2em 0;'>";
		echo "<ul class=\"nav nav-tabs\" role=\"tablist\">";
			echo "<li role=\"presentation\"><a href=\"all.php?fb_page_id={$fb_page_id}\">All Events</a></li>";
			echo "<li role=\"presentation\" class=\"active\"><a href=\"upcoming.php?fb_page_id={$fb_page_id}\">Upcoming Events</a></li>";
			echo "<li role=\"presentation\"><a href=\"past.php?fb_page_id={$fb_page_id}\">Past Events</a></li>";
		echo "</ul>";
	echo "</div>";
	?>
	
	<div class="page-header">
		<h1>
			<?php echo $page_title; ?>
		</h1>
	</div>
 
	<?php
	include 'notes.php';
	
	$year_range = 2;
	 
	// get events for the next x years
	$year_range = 10;
	 
	// automatically adjust date range
	// human readable years
	$since_date = date('Y-m-d');
	$until_date = date('Y-12-31', strtotime('+' . $year_range . ' years'));
	 
	// unix timestamp years
	$since_unix_timestamp = strtotime($since_date);
	$until_unix_timestamp = strtotime($until_date);
	
	$access_token="128623690525794|LbfgDAXN_KioIspqkMegG1-ysHA";
	
	$fields="id,name,description,place,timezone,start_time,cover";
 
	$json_link = "https://graph.facebook.com/v2.3/{$fb_page_id}/events/attending/?fields={$fields}&access_token={$access_token}&since={$since_unix_timestamp}&until={$until_unix_timestamp}";
	 
	$json = file_get_contents($json_link);
	
	$obj = json_decode($json, true, 512, JSON_BIGINT_AS_STRING);
 
	// for those using PHP version older than 5.4, use this instead:
	// $obj = json_decode(preg_replace('/("\w+"):(\d+)/', '\\1:"\\2"', $json), true);
	
	echo "<table class='table table-hover table-responsive table-bordered'>";
 
    // count the number of events
    $event_count = count($obj['data']);
 
    for($x=0; $x<$event_count; $x++){
	   $start_date = date( 'l, F d, Y', strtotime($obj['data'][$x]['start_time']));
		 
		// in my case, I had to subtract 9 hours to sync the time set in facebook
		$start_time = date('g:i a', strtotime($obj['data'][$x]['start_time']) - 60 * 60 * 9);
		 
		$pic_big = isset($obj['data'][$x]['cover']['source']) ? $obj['data'][$x]['cover']['source'] : "https://graph.facebook.com/v2.3/221167777906963/picture?type=large";
		
		$eid = $obj['data'][$x]['id'];
		$name = $obj['data'][$x]['name'];
		$description = isset($obj['data'][$x]['description']) ? $obj['data'][$x]['description'] : "";
				
		// place
		$place_name = isset($obj['data'][$x]['place']['name']) ? $obj['data'][$x]['place']['name'] : "";
		$city = isset($obj['data'][$x]['place']['location']['city']) ? $obj['data'][$x]['place']['location']['city'] : "";
		$country = isset($obj['data'][$x]['place']['location']['country']) ? $obj['data'][$x]['place']['location']['country'] : "";
		$zip = isset($obj['data'][$x]['place']['location']['zip']) ? $obj['data'][$x]['place']['location']['zip'] : "";
		
		$location="";
		
		if($place_name && $city && $country && $zip){
			$location="{$place_name}, {$city}, {$country}, {$zip}";
		}else{
			$location="Location not set or event data is too old.";
		}
		
		echo "<tr>";
			echo "<td rowspan='6' style='width:20em;'>";
				echo "<img src='{$pic_big}' width='200px' />";
			echo "</td>";
		echo "</tr>";
		 
		echo "<tr>";
			echo "<td style='width:15em;'>What:</td>";
			echo "<td><b>{$name}</b></td>";
		echo "</tr>";
		 
		echo "<tr>";
			echo "<td>When:</td>";
			echo "<td>{$start_date} at {$start_time}</td>";
		echo "</tr>";
		 
		echo "<tr>";
			echo "<td>Where:</td>";
			echo "<td>{$location}</td>";
		echo "</tr>";
		 
		echo "<tr>";
			echo "<td>Description:</td>";
			echo "<td>{$description}</td>";
		echo "</tr>";
		 
		echo "<tr>";
			echo "<td>Facebook Link:</td>";
			echo "<td>";
				echo "<a href='https://www.facebook.com/events/{$eid}/' target='_blank'>View on Facebook</a>";
			echo "</td>";
		echo "</tr>";
		
    }
	
	echo "</table>";
	?>
	
</div>
 
<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.0/jquery.min.js"></script>
<script src="//netdna.bootstrapcdn.com/bootstrap/3.1.1/js/bootstrap.min.js"></script>
 
<!--[if lt IE 9]>
<script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
<script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
<![endif]-->
 
</body>
</html>